## IdeHoverProvider IdeHoverProvider |

## Functions

void | ide_hover_provider_load ()
void | ide_hover_provider_unload ()
void | ide_hover_provider_hover_async ()
gboolean | ide_hover_provider_hover_finish ()

## Types and Values

#define | IDE_TYPE_HOVER_PROVIDER
struct | IdeHoverProviderInterface
| IdeHoverProvider

## Object Hierarchy

        GInterface
        ╰── IdeHoverProvider

## Prerequisites

IdeHoverProvider requires GObject.

## Known Implementations

IdeHoverProvider is implemented by IdeLspHoverProvider.

## Description

## Functions

### ide_hover_provider_load ()

    void
    ide_hover_provider_load (IdeHoverProvider *self,
                             IdeSourceView *view);

This method is used to load an IdeHoverProvider. Providers should perform any startup work from here.

#### Parameters

self | an IdeHoverProvider |
view | an IdeSourceView |

Since: 3.32

### ide_hover_provider_unload ()

    void
    ide_hover_provider_unload (IdeHoverProvider *self,
                               IdeSourceView *view);

This method is used to unload an IdeHoverProvider. Providers should cleanup any state they've allocated.

#### Parameters

self | an IdeHoverProvider |
view | an IdeSourceView |

Since: 3.32

### ide_hover_provider_hover_async ()

    void
    ide_hover_provider_hover_async (IdeHoverProvider *self,
                                    IdeHoverContext *context,
                                    const GtkTextIter *location,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

#### Parameters

self | an IdeHoverProvider |
location | a GtkTextIter |
cancellable | a GCancellable. | [nullable]
callback | a GAsyncReadyCallback to execute upon completion |
user_data | closure data for `callback` |

Since: 3.32

### ide_hover_provider_hover_finish ()

    gboolean
    ide_hover_provider_hover_finish (IdeHoverProvider *self,
                                     GAsyncResult *result,
                                     GError **error);

#### Parameters

self | an IdeHoverProvider |
result | a GAsyncResult provided to callback |
error | a location for a GError, or `NULL` |

#### Returns

`TRUE` if successful; otherwise `FALSE` and `error` is set.

Since: 3.32

## Types and Values

### IDE_TYPE_HOVER_PROVIDER

    #define IDE_TYPE_HOVER_PROVIDER (ide_hover_provider_get_type ())

### struct IdeHoverProviderInterface

    struct IdeHoverProviderInterface {
      GTypeInterface parent;

      void     (*load)         (IdeHoverProvider     *self,
                                IdeSourceView        *view);
      void     (*unload)       (IdeHoverProvider     *self,
                                IdeSourceView        *view);
      void     (*hover_async)  (IdeHoverProvider     *self,
                                IdeHoverContext      *context,
                                const GtkTextIter    *location,
                                GCancellable         *cancellable,
                                GAsyncReadyCallback   callback,
                                gpointer              user_data);
      gboolean (*hover_finish) (IdeHoverProvider     *self,
                                GAsyncResult         *result,
                                GError              **error);
    };

### IdeHoverProvider

    typedef struct _IdeHoverProvider IdeHoverProvider;